#
# spec file for package perl-NetxAP
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-NetxAP
Version:        0.02
Release:        725.3
Summary:        Interface to the protocol family IMAP, IMSP, ACAP, and ICAP
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/~kjohnson/NetxAP-0.02/
Source:         http://search.cpan.org/CPAN/authors/id/K/KJ/KJOHNSON/NetxAP-%{version}.tar.gz
Patch0:         NetxAP-%{version}.dif
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl-Digest-HMAC
%define cpan_name NetxAP
Provides:       p_netxap
Obsoletes:      p_netxap
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
This module provides an interface to the protocol family represented by
IMAP, IMSP, ACAP, and ICAP.  A usable IMAP module is also provide.

%prep
%setup -n %{cpan_name}-%{version}
%patch0

%build
perl Makefile.PL
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%dir %{perl_vendorlib}/Net
%{perl_vendorarch}/auto/Net
%{perl_vendorlib}/Net/IMAP.pm
%{perl_vendorlib}/Net/xAP.pm
%doc %{_mandir}/man3/Net::IMAP.3pm.gz
%doc %{_mandir}/man3/Net::xAP.3pm.gz
%doc ANNOUNCE BUGS CREDITS MANIFEST NEWS README TODO examples

%changelog
* Mon Apr 15 2013 idonmez@suse.com
- Cleanup spec file
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Fri May 11 2007 varkoly@suse.de
- Fixing Bug 273598 - perl-NetxAP do not requiers needed packages
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Mar 23 2004 choeger@suse.de
- added IMAP over SSL functionality
- added IMAP AUTHENTICATE mechanism PLAIN
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
* Mon May 19 2003 choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
- remove installed (but unpackaged) file .packlist
* Wed Feb  5 2003 choeger@suse.de
- Fixed parsing of the answer of the IMAP NAMESPACE command
* Fri Nov 29 2002 choeger@suse.de
- added missing unsubscribe imap function to cmd_callbacks hash
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Wed Oct  3 2001 choeger@suse.de
- do not en/decode & in folder names
  Bugzilla ID#11604
* Fri Mar 16 2001 choeger@suse.de
- commented out print statement in new method of Net::IMAP::Fetch
* Wed Nov 15 2000 choeger@suse.de
- long package name
- buildroot
* Tue Aug 22 2000 choeger@suse.de
- Bugfix getquota(root)
* Thu Aug 17 2000 choeger@suse.de
- bugfix for IMAP.pm
* Wed Aug 16 2000 choeger@suse.de
- first package, v0.02
